#include <bits/stdc++.h>

using namespace std;

int brcif(int n)
{
	int br=0;
	while(n>0)
	{
		n/=10;
		br++;
	}
	return br;

}

int niz[10];

int main ()
{
	long long a,b,c;
	cin >> a >> b >> c;
	int brc = brcif(c);
	int bra = brcif(a);
	int brb = brcif(b);
	niz[0]=a*pow(10,brc+brb)+b*pow(10,brc)+c;
	niz[1]=a*pow(10,brc+brb)+c*pow(10,brb)+b;
	niz[2]=b*pow(10,bra+brc)+a*pow(10,brc)+c;
	niz[3]=b*pow(10,bra+brc)+c*pow(10,bra)+a;
	niz[4]=c*pow(10,bra+brb)+a*pow(10,brb)+b;
	niz[5]=c*pow(10,bra+brb)+b*pow(10,bra)+a;
	long long max = -1e9;
	for(int i=0;i<6;i++)
	{
		if(niz[i] > max)
		max = niz[i];
	}
	cout << max << endl;
}